Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.core.synchronize
Interface ISyncInfoTreeChangeEvent

All Superinterfaces:
  ISyncInfoSetChangeEvent

public interface ISyncInfoTreeChangeEvent
extends ISyncInfoSetChangeEvent

This is a change event that provides access to changes in subtrees that contain the out-of-sync resources. It is the event type provided by `SyncInfoTree` when it notifies listeners of changes.

Since:
  3.0

Method Summary
`IResource[]` | `getAddedSubtreeRoots()` Returns the highest parent resources of all newly added elements available in this event by calling `getAddedResources()`.
`IResource[]` | `getRemovedSubtreeRoots()` Returns the highest parent resources of all newly removed elements available in this event by calling `getRemovedResources()`.

Methods inherited from interface org.eclipse.team.core.synchronize.ISyncInfoSetChangeEvent
`getAddedResources, getChangedResources, getRemovedResources, getSet`

Method Detail

### getAddedSubtreeRoots

    public IResource[] getAddedSubtreeRoots()

  Returns the highest parent resources of all newly added elements available in this event by calling `getAddedResources()`. In other words, it returns the set of all parent containers that did not previously have descendants in the sync set but are direct children of containers that did previously have descescendants in the set.

  These roots are provided in order to allow listeners to optimize the reconciliation of hierachical views of the `SyncInfoSet` contents.

  Returns:
    parents of all newly added elements or an empty list if this event doesn't contain added resources.

### getRemovedSubtreeRoots

    public IResource[] getRemovedSubtreeRoots()

  Returns the highest parent resources of all newly removed elements available in this event by calling `getRemovedResources()`. In other words, it returns the set of all parent containers that previously had descendants in the sync set but are direct children of containers that still have descescendants in the set.

  These roots are provided in order to allow listeners to optimize the reconciliation of hierachical views of the `SyncInfoSet` contents.

  Returns:
    parents of all newly removed elements. or an empty list if this event doesn't contain added resources.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.